- Home
- API Enriched
- Tenant And Identity
- web
- Assign role to User.
Assign role to User.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/role_users';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","namespaces_role":{"namespaces":["example"],"role":"example"},"username":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/role_users \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "namespaces_role": { "namespaces": [ "example" ], "role": "example" }, "username": [ "example" ] }'AssignRole allows customers to assign a namespace/role pair to multiple users.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace the requesting user is calling the action from.
Request Bodyrequired
Section titled “Request Bodyrequired”Allows assigning user’s role in a namespace or set of namespaces.
object
Namespace the requesting user is calling the action from.
object
Namespace, including star (*) which means all tenant’s namespaces.
Users role for this namespace.
Username of the user that needs the role assigned. Ideally this will be the email address of the user (which is by default treated as username) check Create RPC UserRoleRequest for more details.
Examplegenerated
{ "namespace": "example", "namespaces_role": { "namespaces": [ "example" ], "role": "example" }, "username": [ "example" ]}Responses
Section titled “Responses”A successful response.
Empty is a message without actual content/body.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example